@echo off

rem Title : Setup.bat for EPROG 1.3i
rem Author: MAH
rem Date  : 3/26/2001
rem Copyright (c) 2001 TR Electronic


rem --- Hints ---

rem 1. The included file Setup.pif allocates 16384 bytes of environment, to get
rem    space for additional entries defined in this batch file by set commands.
rem    This value must be larger than 64 bytes plus the space for the predefined
rem    entries, shown by the command "set" typed in the command line.
rem    It can by increased manually to 32768 bytes.

rem 2. The included file Setup.pif closes the dos box window after termination
rem    of this batch file.


set INF=Eprog13i.inf
if "%1=="FINISHINST goto %1


rem --- Confirm Start of Installation  ---

:C
cls
echo --- Setup.bat ---
echo Setup copies the selfextracting archive "_setup.dat" to "_setup.exe" in the
echo temporary directory, unpacks the files, and runs the included installation
echo script %INF% for Win95/98.
echo.
echo You will get an entry in the start menu, in the context menu "Send To" and in
echo the uninstall list of software in the control panel.
echo.
echo Install performs a simple DOS installation in the directory c:\eprog without
echo start menu and uninstall entries.
echo.
echo.
echo Please select (Q)uit, Win95/98 (S)etup or DOS (I)nstall.
echo.

choice /c:QSI
if errorlevel 3 goto I
if errorlevel 2 goto S
if errorlevel 1 goto E2
goto C


:I
rem --- Check Files and install for DOS 3.0 or later ---

if not exist _setup.dat goto M2

md C:\Eprog>nul
copy _setup.dat C:\Eprog\_setup.exe
if not exist C:\Eprog\_setup.exe goto M5

C:\Eprog\_setup.exe /y C:\Eprog\
del C:\Eprog\_setup.exe
del C:\Eprog\Eprog.inf

if not exist c:\eprog\eprog.exe goto M6
goto E2


:S
rem --- Check Files and install for Win95/98 ---

if "%TMP%==" goto M1
if not exist _setup.dat goto M2

copy _setup.dat %TMP%\_setup.exe
if not exist %TMP%\_setup.exe goto M3

%TMP%\_setup.exe /y %TMP%\_setup\
if not exist %TMP%\_setup\%INF% goto M4

del %TMP%\_setup.exe
C:\WINDOWS\rundll.exe setupx.dll,InstallHinfSection DefaultInstall 132 %TMP%\_setup\%INF%
goto E2


rem ---  Finish installation, cleanup temporary setup directory ---

:FINISHINST
deltree /y %TMP%\_setup
cls
echo The installation was successful! 
echo.
echo Please look for the new entries in the start menu and in the context menu
echo "Send To".
echo For deinstallation use "Start menu - Settings - Control panel - Software".
echo.
goto E


rem --- Error Messages ---

:M1
echo The environment entry TMP is missing or invalid!
goto E

:M2
echo The setup data file _setup.dat is not at the current path!
echo.
echo If you want to install from a network location,
echo you must link it as a network drive:
echo 1. Call the windows explorer and goto the network 
echo    location via "Desktop - Network environment".
echo 3. Copy the location name from the address field
echo    to the clipboard by marking it and pressing Ctrl-C.
echo 4. Select the explorer menu "Extra - Link network drive"
echo    and insert the location name by pressing Ctrl-V.
echo 5. Goto to this batch file on the new drive and run it.
echo    You may unlink the network drive afterwards.
goto E

:M3
echo Copying to the temporary file %TMP%\_setup.exe failed!
goto E

:M4
echo Unpacking of %TMP%\_setup\%INF% failed!
goto E

:M5
echo Copying to the temporary file C:\Eprog\_setup.exe failed!
goto E

:M6
echo Unpacking of C:\Eprog.exe failed!
goto E

:E
pause
:E2
set INF=
